Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2114553 - pocl: FTBFS in Fedora rawhide/f37
Summary: pocl: FTBFS in Fedora rawhide/f37
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pocl
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vitaly
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FTBFS F39FTBFS F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-08-02 19:41 UTC by Fedora Release Engineering
Modified: 2023-04-20 02:53 UTC (History)
4 users (show)

Fixed In Version: pocl-3.1-1.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-04-20 02:53:13 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2022-08-02 19:42 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2022-08-02 19:42 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2022-08-02 19:42 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2022-08-02 19:41:58 UTC
pocl failed to build from source in Fedora rawhide/f37

https://koji.fedoraproject.org/koji/taskinfo?taskID=89870123


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
Please fix pocl at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
pocl will be orphaned. Before branching of Fedora 38,
pocl will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2022-08-02 19:42:00 UTC
Created attachment 1903072 [details]
build.log

Comment 2 Fedora Release Engineering 2022-08-02 19:42:02 UTC
Created attachment 1903073 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2022-08-02 19:42:03 UTC
Created attachment 1903074 [details]
state.log

Comment 4 Ben Cotton 2022-08-09 13:35:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 5 Filipe Rosset 2023-02-21 04:56:34 UTC
pocl 3.1 works with LLVM15

https://raw.githubusercontent.com/pocl/pocl/release_3_1/CHANGES
"Support for Clang/LLVM 15.0"

Can we upgrade at least in rawhide?

Comment 6 Fedora Admin user for bugzilla script actions 2023-04-11 00:03:41 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 7 Fedora Update System 2023-04-11 09:41:24 UTC
FEDORA-2023-b56ab8c2f6 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-b56ab8c2f6

Comment 8 Fedora Update System 2023-04-12 02:42:42 UTC
FEDORA-2023-b56ab8c2f6 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-b56ab8c2f6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-b56ab8c2f6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2023-04-20 02:53:13 UTC
FEDORA-2023-b56ab8c2f6 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.